/*------------------------------------*\
    #NEWS-SLIDER
\*------------------------------------*/
/**
 * News slider component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-news-slider-space-vertical: $inuit-base-space-vertical;

.#{$inuit-namespace}partner-slider,
%#{$inuit-namespace}partner-slider {
    margin-bottom: $inuit-base-space-vertical-small-only;
    margin-top: 0;
    position: relative;
    padding: 0;

    .slick-slide {
        padding: 0;

        @media #{$medium-up} {
            padding: 0 $inuit-news-detail-slider-space-horizontal;
        }
    }

    .c-news-slider__arrow {
        //height: $inuit-news-detail-slider-arrow-size;
        //width: $inuit-news-detail-slider-arrow-size;
        //margin-top: -.5 * $inuit-news-detail-slider-arrow-size;
        top:5px;
        > svg {
            height: inherit;
            width: inherit;
        }

        &--next {
            right:25px;
        }
        @media #{$large-up} {
            top: 53%;
        }
    }
    .#{$inuit-namespace}news-slider,
    %#{$inuit-namespace}news-slider {
        &__break,
        &__play {
            position: absolute;
            border: 0;
            background: rgba(255, 255, 2555, .82);
            right: auto;
            top: 13px;
            left: 10px;
            width: 32px;
            height: 32px;
            color: $frs-color-blue;
            z-index: 9;
            font-size: 1.3rem;
            @include epx-transition(background 300ms ease-in-out 0s);

            @media #{$medium-up} {
                left: 20px;
            }
        }
        &__play {
            border: 0;
            background: rgba(255, 255, 2555, .82);
        }
    }
    // Typically sections get their bottom padding removed when they're the
    // last section on the page. This re-adds the padding to the news-slider.
    // It also remove the bottom margin so the footer won't move down too far.
    &:last-of-type {
        margin-bottom: 0;
        padding-bottom: $inuit-news-slider-space-vertical;
    }

    .slick-list {
        margin: 0;
        padding: 0;

        .cssvwunit & {
            margin: 0;
        }
    }

    .c-news-slider__arrow {
        border: 0;
        //background: $frs-color-white-alpha;
        color: $frs-color-blue;
        padding: 0;
        top: 15px;
        height: auto;
        margin-top: 0;
        position: absolute;
        z-index: 10;
        width: auto;

        @include frs-hover {
            color: darken($frs-color-blue, 20);
        }

        > svg {
            height: rem-calc(50px);
            width: rem-calc(50px);
        }

        &--prev {
            left: auto;
            position: absolute;
            right: 37px;
            @media #{$medium-up} {
                right: 47px;
            }
        }

        &--next {
            right: 0;
            position: absolute;
            @media #{$medium-up} {
                right: 10px;
            }
        }
    }
}

.c-partner-slider .c-partner-slider__item {
    display: none;
    visibility: hidden;
}
.c-partner-slider .c-partner-slider__item:first-child {
    visibility: visible;
    display:block;
}
.c-partner-slider .c-partner-slider__item.slick-slide {
    visibility: visible;
    display:block;
}
.#{$inuit-namespace}partner-slider__item,
%#{$inuit-namespace}partner-slider__item {
    padding: 0;

    &.slick-active {
        text-decoration: inherit;
    }

    .o-cms-content {
        padding: 0;
    }
}
